Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# Xfc::Pango::AttrStipple Class Reference

A GdkPangoAttrStipple C++ wrapper class. More...

`#include <xfc/pango/attributes.hh>`

Inheritance diagram for Xfc::Pango::AttrStipple:

List of all members.

## Public Member Functions

Constructors

- AttrStipple (Gdk::Bitmap &stipple)
    Constructs a new attribute containing a stipple bitmap to be used when rendering the text.

Accessors

- GdkPangoAttrStipple * gdk_pango_attr_stipple () const
    Get a pointer to the GdkPangoAttrStipple structure.
- Gdk::Bitmap * stipple () const
    Returns the stipple bitmap.

## Detailed Description

A GdkPangoAttrStipple C++ wrapper class.

AttrStipple is a Pango text attribute containing a stipple bitmap to be used when rendering the text.

## Constructor & Destructor Documentation

Xfc::Pango::AttrStipple::AttrStipple | ( | Gdk::Bitmap & | stipple | ) | `[explicit]`

Constructs a new attribute containing a stipple bitmap to be used when rendering the text.

Parameters:

  | stipple | A bitmap to be set as the stipple bitmap.

## Member Function Documentation

Gdk::Bitmap* Xfc::Pango::AttrStipple::stipple | ( |  | ) | const

| Returns the stipple bitmap. This bitmap is owned by the attribute and will unreferenced when the attribute is destroyed.

The documentation for this class was generated from the following file:

- attributes.hh

Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3